## nvram-wakeup 0.97

=== Makefile ===
# Makefile for nvram-wakeup
#
# $Id: Makefile,v 1.34 2004/07/09 11:29:02 bistr-o-math Exp $


# where do you want the program to be installed?
prefix   = /usr/local
BINDIR   = ${prefix}/bin
SBINDIR  = ${prefix}/sbin
MANDIR   = ${prefix}/man
DOCDIR   = ${prefix}/share/doc/nvram-wakeup
GTTXTDIR = ${prefix}/share/locale/de/LC_MESSAGES

PROG      = nvram-wakeup
PROG_SH   = VDR/vdrshutdown
HELPER    = rtc time biosinfo guess cat_nvram
HELPER_SH = guess-helper
DOC       = README README.mb README.reboot HISTORY nvram-wakeup.conf

BINS   = nvram-wakeup rtc time biosinfo guess cat_nvram
#SRCS = $(PROG:%=%.c)
OBJS   = nvram-wakeup.o nvram-wakeup-mb.o bios.o gmt-test.o byteops.o \
         nvramops.o guess.o biosinfo.o tools.o readconf.o cat_nvram.o \
         rtc.o time.o
HDRS   = nvram-wakeup.h
GTTXT  = guess-helper.mo
GTTXTSRC = $(GTTXT:%.mo=%.po)
MAN5   = nvram-wakeup.conf.5
MAN8   = nvram-wakeup.8 biosinfo.8 cat_nvram.8 guess-helper.8 guess.8 \
         rtc.8 set_timer.8 time.8
MAN5GZ = $(MAN5:%.5=%.5.gz)
MAN8GZ = $(MAN8:%.8=%.8.gz)
DEVS = /dev/nvram /dev/rtc /dev/mem
CLEANFILES = $(BINS) $(OBJS) $(MAN5GZ) $(MAN8GZ) $(GTTXT)

CC = gcc
DEFS = -D_GNU_SOURCE
CFLAGS = -O2 -Wall -Wstrict-prototypes -g -mcpu=i686 -pedantic $(DEFS)
INSTALL = install
INSTALL_STRIP = $(INSTALL) -s

all: $(BINS) $(GTTXT)
	size $(BINS)

nvram-wakeup:   nvram-wakeup.o nvram-wakeup-mb.o gmt-test.o byteops.o nvramops.o bios.o tools.o readconf.o 

biosinfo:	bios.o biosinfo.o tools.o

guess:          guess.o byteops.o bios.o tools.o 

cat_nvram:      cat_nvram.o tools.o nvramops.o

rtc:            rtc.o

time:           time.o

$(OBJS): $(HDRS)

man: $(MAN5GZ) $(MAN8GZ)

%.gz: 
	gzip -cf9 `basename $@ .gz` >$@

%.mo: $(GTTXTSRC)
	msgfmt `basename $@ .mo`.po -o $@

devices: $(DEVS)

/dev/nvram:
	mknod $@ c 10 144

/dev/rtc:
	mknod $@ c 10 135

/dev/mem:
	mknod $@ c 1  1

clean:
	$(RM) $(CLEANFILES)

rebuild:  clean all man

install-common:  all man
	@$(INSTALL) -vd $(BINDIR)
	@$(INSTALL) -vd $(SBINDIR)
	@$(INSTALL) -vd $(MANDIR)/man5
	@$(INSTALL) -vd $(MANDIR)/man8
	@$(INSTALL) -vd $(DOCDIR)
	@$(INSTALL) -vd $(GTTXTDIR)
	@$(INSTALL) -vm 755 $(PROG_SH)    $(BINDIR)
	@$(INSTALL) -vm 755 $(HELPER_SH)  $(SBINDIR)
	@$(INSTALL) -vm 644 $(MAN5GZ)     $(MANDIR)/man5
	@$(INSTALL) -vm 644 $(MAN8GZ)     $(MANDIR)/man8
	@$(INSTALL) -vm 644 $(DOC)        $(DOCDIR)
	@$(INSTALL) -vm 755 $(GTTXT)      $(GTTXTDIR)

install:  install-common
	@$(INSTALL) -vm 755 $(PROG)    $(BINDIR)
	@$(INSTALL) -vm 755 $(HELPER)  $(SBINDIR)

install-strip:  install-common
	@$(INSTALL_STRIP) -vm 755 $(PROG)    $(BINDIR)
	@$(INSTALL_STRIP) -vm 755 $(HELPER)  $(SBINDIR)

uninstall:
	cd $(BINDIR); rm -f $(PROG) $(subst VDR/,,$(PROG_SH))
	cd $(SBINDIR); rm -f $(HELPER) $(HELPER_SH)
	cd $(MANDIR)/man5; rm -f $(MAN5GZ)
	cd $(MANDIR)/man8; rm -f $(MAN8GZ)
	cd $(DOCDIR); rm -f $(DOC)
	cd $(GTTXTDIR); rm -f $(GTTXT)

## nvram-wakeup 1.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for nvram-wakeup
 #
-# $Id: Makefile,v 1.34 2004/07/09 11:29:02 bistr-o-math Exp $
+# $Id: Makefile 910 2008-11-23 13:40:45Z tiber $
+
+# we rely on sed and msgfmt here.
 
 
 # where do you want the program to be installed?
@@ -18,10 +20,10 @@
 DOC       = README README.mb README.reboot HISTORY nvram-wakeup.conf
 
 BINS   = nvram-wakeup rtc time biosinfo guess cat_nvram
-#SRCS = $(PROG:%=%.c)
 OBJS   = nvram-wakeup.o nvram-wakeup-mb.o bios.o gmt-test.o byteops.o \
          nvramops.o guess.o biosinfo.o tools.o readconf.o cat_nvram.o \
          rtc.o time.o
+SRCS   = $(OBJS:%.o=%.c)
 HDRS   = nvram-wakeup.h
 GTTXT  = guess-helper.mo
 GTTXTSRC = $(GTTXT:%.mo=%.po)
@@ -31,11 +33,15 @@
 MAN5GZ = $(MAN5:%.5=%.5.gz)
 MAN8GZ = $(MAN8:%.8=%.8.gz)
 DEVS = /dev/nvram /dev/rtc /dev/mem
-CLEANFILES = $(BINS) $(OBJS) $(MAN5GZ) $(MAN8GZ) $(GTTXT)
+CLEANFILES = $(BINS) $(OBJS) $(MAN5GZ) $(MAN8GZ) $(GTTXT) cvs_revs.h
+
+# For the dist target:
+TMPDIR = /tmp
+VERSION = $(shell sed -ne '/define VERSION/s/^.*"\(.*\)".*$$/\1/p' nvram-wakeup.h)
 
 CC = gcc
 DEFS = -D_GNU_SOURCE
-CFLAGS = -O2 -Wall -Wstrict-prototypes -g -mcpu=i686 -pedantic $(DEFS)
+CFLAGS = -O2 -Wall -Wstrict-prototypes -g -pedantic $(DEFS)
 INSTALL = install
 INSTALL_STRIP = $(INSTALL) -s
 
@@ -54,8 +60,14 @@
 
 time:           time.o
 
-$(OBJS): $(HDRS)
+$(OBJS): $(HDRS) cvs_revs.h
 
+cvs_revs.h: $(HDRS) $(SRCS)
+	@echo Preparing $@
+	@echo 'static char* CVS_ALL[] = {' >cvs_revs.h
+	@grep $^ -e '[^"]$$Id' |sed "s/^.*\(\$$Id.*\$$\)/\"\1\",/">>cvs_revs.h
+	@echo 'NULL };' >>cvs_revs.h
+	
 man: $(MAN5GZ) $(MAN8GZ)
 
 %.gz: 
@@ -76,7 +88,7 @@
 	mknod $@ c 1  1
 
 clean:
-	$(RM) $(CLEANFILES)
+	@$(RM) $(CLEANFILES)
 
 rebuild:  clean all man
 
@@ -109,3 +121,14 @@
 	cd $(MANDIR)/man8; rm -f $(MAN8GZ)
 	cd $(DOCDIR); rm -f $(DOC)
 	cd $(GTTXTDIR); rm -f $(GTTXT)
+
+tags: $(SRCS) $(HDRS)
+	ctags $(SRCS) $(HDRS)
+
+dist: clean
+	@-rm -rf $(TMPDIR)/nvram-wakup-$(VERSION)
+	@mkdir $(TMPDIR)/nvram-wakup-$(VERSION)
+	@cp -a * $(TMPDIR)/nvram-wakup-$(VERSION)
+	@tar czf nvram-wakup-$(VERSION).tar.gz -C $(TMPDIR) --exclude .svn nvram-wakup-$(VERSION)
+	@-rm -rf $(TMPDIR)/nvram-wakup-$(VERSION)
+	@echo Distribution package created as nvram-wakup-$(VERSION).tar.gz

=== debian/changelog ===
nvram-wakeup (1.1-4) unstable; urgency=medium

  * Install grub2 script only as an example (Closes: #801582)

 -- Tobias Grimm <etobi@debian.org>  Wed, 21 Oct 2015 00:16:51 +0200

nvram-wakeup (1.1-3) unstable; urgency=medium

  * Standards-Version: 3.9.6
  * Fixed Vcs-Git to use anonscm link
  * Remove build time macros to get reproducible build

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Oct 2015 11:44:25 +0200

nvram-wakeup (1.1-2) unstable; urgency=low

  [ Thomas Schmidt ]
  * Added grub2 script from A Mennucc (Closes: #568623)
  * Switched build-system back to debhelper, removed build-dep cdbs
  * Set format to 3.0 (quilt)

  [ Tobias Grimm ]
  * Standards-Version: 3.9.4
  * Use debhelper 9

 -- Tobias Grimm <etobi@debian.org>  Thu, 28 Mar 2013 18:55:26 +0100

nvram-wakeup (1.1-1) unstable; urgency=low

  * New upstream release (Closes: #484929)
  * Buil-Depend debhelper (>= 5)
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 24 Jan 2010 13:04:58 +0100

nvram-wakeup (1.0-1) unstable; urgency=low

  * New upstream release (Closes: #529074)
  * Added Homepage field

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 May 2009 20:37:25 +0200

nvram-wakeup (0.99b-1) unstable; urgency=low

  * New upstream release (Closes: #484680, #433929, #499896)
  * Changed my maintainer email address
  * Removed 01_Makefile-fix.dpatch (fixed upstream)
  * Removed 04_WAKEUP_BEFORE-from-cli (fixed upstream)
  * Removed 10_nvram-wakeup-mb.c.dpatch
  * Fixed quotes in examples (Closes: #510595)
  * Bumped standards version to 3.8.1
  * Updated debian/copyright

 -- Tobias Grimm <etobi@debian.org>  Mon, 13 Apr 2009 13:59:17 +0200

nvram-wakeup (0.97-15) unstable; urgency=medium

  [ Tobias Grimm ]
  * Don't install /usr/sbin/time anymore. The functionallity of this tool can
    be replaced by `date` (e.g. `date -d "1970-01-01 1089365289 sec UTC"` and
    `date -u -d "1970-01-01 1089365289 sec UTC"`) (Closes: #425120)
  * Removed installation of set_timer (which used /usr/sbin/time) and install
    it as example only (release notes added to NEWS)
  * Removed 03_set_timer.dpatch
  * Moved debconf installation instructions to README.Debian (Closes: #419444)
  * Updated debian/copyright
  * Added description to 10_nvram-wakeup-mb.c.dpatch

  [ Thomas Schmidt ]
  * Do not create /dev/rtc and /dev/nvram in postinst anymore - these devices
    should be automatically created on every installation (closes: #428694)
  * Using COMPAT=5 now
  * Bumped Standards-Version to 3.8.0
  * Switched Build-System to cdbs, Build-Depend on cdbs

 -- Tobias Grimm <etobi@debian.org>  Sat, 03 Jan 2009 05:10:45 +0100

nvram-wakeup (0.97-14) unstable; urgency=low

  * Added Portuguese (pt.po) debconf-translation from Miguel Figueiredo
    (closes: #415695)
  * Added Dutch (nl.po) debconf-translation from Bart Cornelis
    (closes: #419734)
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control

 -- Thomas Schmidt <tschmidt@debian.org>  Tue, 29 May 2007 23:30:38 +0200

nvram-wakeup (0.97-13) experimental; urgency=low

  * Changed debian/watch to use sf.php from qa.debian.org
  * Changed Build-Dependancy on dpatch to be unversioned because even
    Sarge has the right version of dpatch
  * Build-Depend on po-debconf 

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 10 Mar 2007 19:03:41 +0100

nvram-wakeup (0.97-12) unstable; urgency=low

  * Fixed call to MAKEDEV in debian/postinst to not fail on systems 
    using udev
  * Bumped Standards-Version to 3.7.2

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 28 Aug 2006 23:26:11 +0200

nvram-wakeup (0.97-11) unstable; urgency=low

  * Tobias Grimm <tg@e-tobi.net>
    - Removed postrm - only thing it did was db_purge and that's automatically
      added by dh_installdebconf
  * Thomas Schmidt <tschmidt@debian.org>
    - Removed bashism from S90.nvram-wakeup (closes: #375042)

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sat, 24 Jun 2006 14:56:14 +0200

nvram-wakeup (0.97-10) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Updated nvram-wakeup-mb.c to rev 1.283 from cvs to have the newest
      mainboard list

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 15 Dec 2005 21:41:41 +0100

nvram-wakeup (0.97-9) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Added 04_WAKEUP_BEFORE-from-cli.dpatch - allows to specify how 
      long before the programmed wakeup time the computer should wake 
      up (the default is still 5 minutes for compatibility reasons)
      (closes: #318191)
    - Added Swedish (sv.po) debconf-translation from Daniel Nylander
      (closes: #332354)
    - Bumped Standards-Version to 3.6.2.1
    - Corrected address of the FSF in debian/copyright
  * Tobias Grimm <vdr@e-tobi.net>
    - Added amd64 to list of supported architectures (closes: #332961)

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sat, 15 Oct 2005 23:41:00 +0200

nvram-wakeup (0.97-8) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Use "${misc:Depends}" in debian/control to allow usage of cdebconf

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Wed, 31 Aug 2005 22:57:20 +0200

nvram-wakeup (0.97-7) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Added Vietnamese debconf-translation from Clytie Siddall
      <clytie@riverland.net.au> (closes: Bug#316328)
    - Changed my email-address to the debian one

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Thu, 30 Jun 2005 12:09:18 +0200

nvram-wakeup (0.97-6) unstable; urgency=low

  * Tobias Grimm <vdr@e-tobi.net>
    - Added Czech debconf-translation from Miroslav Kure
      <kurem@upcase.inf.upol.cz> (closes: Bug#298215)

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun,  6 Mar 2005 12:55:54 +0100

nvram-wakeup (0.97-5) unstable; urgency=low

  * Thomas Schmidt <thomas.schmidt@in.stud.tu-ilmenau.de>


=== debian/control ===
Source: nvram-wakeup
Section: misc
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/nvram-wakeup
Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/nvram-wakeup.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/nvram-wakeup.git

Package: nvram-wakeup
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Read/write the WakeUp time from/to the BIOS
 nvram-wakeup can read and write the wake up time in the BIOS
 (via /dev/nvram on recent 2.4.x kernels or direct I/O port access).
 On this wake up time the computer will be powered on automatically from
 the soft-off state. For the video disc recorder VDR, nvram-wakeup installs
 a hook script, that allows VDR to set a wake up time, when it powers down.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	# do nothing here, rely on dh_install instead

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/nvram-wakeup/ nvram-wakeup-(.*)\.tar\.bz2
